## geoclue-2.0 2.6.0

=== debian/changelog ===
geoclue-2.0 (2.6.0-2+deb12u1) bookworm; urgency=medium

  * Switch to beaconDB instead of the new retired MLS (Closes: #1074427)
  * d/README.Debian: Update the README to explicitly state we are using beaconDB
  * Add SSID to queries, cherry-picked from upstream for beaconDB

 -- Laurent Bigonville <bigon@debian.org>  Tue, 24 Dec 2024 18:06:58 +0100

geoclue-2.0 (2.6.0-2) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/geoclue-2.0.lintian-overrides: Fix dbus-policy-excessively-broad
    override
  * debian/geoclue-2.0.install: Install polkit rules shipped by upstream
  * debian/geoclue-2.0.install: Rename the .pkla file to match the name
    of the upstream rules file

  [ Jeremy Bicha ]
  * Cherry-pick proposed patch to build with libsoup3
  * Build-Depend on libsoup-3.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 14 Sep 2022 11:46:47 -0400

geoclue-2.0 (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
    - debian/patches/: Drop all patches, they (or similar patches) have been
      merged upstream
    - debian/libgeoclue-2-0.symbols: Add newly exported symbols
  * debian/control: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 05 Apr 2022 14:47:54 +0200
