=== debian/watch ===
version=4
https://gitlab.freedesktop.org/geoclue/geoclue/tags \
  /geoclue/geoclue/-/archive/(?:[\d\.]+)/geoclue-@ANY_VERSION@@ARCHIVE_EXT@
