## geoclue-2.0 2.7.0

=== debian/changelog ===
geoclue-2.0 (2.7.0-3ubuntu7) noble; urgency=high

  * No change rebuild against libglib2.0-0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 16:39:26 +0200

geoclue-2.0 (2.7.0-3ubuntu6) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:05:24 +0000

geoclue-2.0 (2.7.0-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:39:55 +0000

geoclue-2.0 (2.7.0-3ubuntu4) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:27:57 +0000

geoclue-2.0 (2.7.0-3ubuntu3) mantic; urgency=medium

  * debian/geoclue-2.0.install, debian/local/usr.libexec.geoclue,
    debian/geoclue-2.0.maintscript:
    - remove the apparmor profile which was added by Debian this cycle,
      the dbus mediation is preventing it from working properly, the issue
      isn't visible in Debian since the dbus service there doesn't include
      the same features than in Ubuntu. It's a bit late in the cycle
      to ensure there will no regression so we prefer to not include it now
      (LP: #2030951)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 26 Sep 2023 18:03:27 +0200

geoclue-2.0 (2.7.0-3ubuntu2) mantic; urgency=medium

  * debian/local/usr.libexec.geoclue:
    - Update apparmor policy to allow several DBus operations.
      (LP: #2030951)

 -- Georgia Garcia <georgia.garcia@canonical.com>  Fri, 25 Aug 2023 15:20:04 -0300

geoclue-2.0 (2.7.0-3ubuntu1) mantic; urgency=medium

  * debian/control:
    - Make libgeoclue-2-0 depend on geoclue-2.0, since it is a
      wrapper around the DBus service. This probably breaks Multi-Arch
      coinstallability and we should take a different fix from Debian once
      there is one (See #864305). (LP: #1696171)

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 10 Aug 2023 11:41:34 +0200

geoclue-2.0 (2.7.0-3) unstable; urgency=medium

  * Move D-Bus policy files from /etc/dbus-1 to /usr/share/dbus-1 (Closes:
    #1041780)
  * Apparmor: Allow to query IPv6 status (Closes: #1041894)

 -- Laurent Bigonville <bigon@debian.org>  Sat, 29 Jul 2023 09:06:57 +0200

geoclue-2.0 (2.7.0-2) unstable; urgency=medium

  * Apparmor: Allow reading configuration files in /etc/geoclue/conf.d/
  * Apparmor: Allow reading /etc/geolocation.
    Thanks to Edward Betts <edward@4angle.com>

 -- Laurent Bigonville <bigon@debian.org>  Sat, 15 Jul 2023 12:36:08 +0200

geoclue-2.0 (2.7.0-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Remove deprecated polkit pkla file

  [ Laurent Bigonville ]
  * New upstream release
    - Drop d/p/Add-support-for-building-with-libsoup3.patch: Applied upstream
  * debian/control: Bump meson build-dependency to >= 0.60.0

 -- Laurent Bigonville <bigon@debian.org>  Sat, 24 Jun 2023 09:34:17 +0200

geoclue-2.0 (2.6.0-3) unstable; urgency=medium

  * Do not install the polkit rules files on non-linux architectures.
    This should fix the FTBFS on these architectures
  * debian/geoclue-2.0.lintian-overrides: Fix the lintian overrides
  * debian/control: Bump Standards-Version to 4.6.2 (no further changes)
  * debian/control: Drop obsolete Breaks/Replaces
  * Add apparmor profile for the geoclue daemon

 -- Laurent Bigonville <bigon@debian.org>  Mon, 19 Jun 2023 09:30:37 +0200
