=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               dh-apparmor,
+               dh-exec,
                gobject-introspection (>= 0.9.6),
                intltool (>= 0.40.0),
                libavahi-client-dev (>= 0.6.10),
@@ -13,12 +16,12 @@
                libmm-glib-dev (>= 1.6) [linux-any],
                libnotify-dev,
                libsoup-3.0-dev,
-               meson (>= 0.47.2),
+               meson (>= 0.60.0),
                pkg-config,
                valac
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 Rules-Requires-Root: no
@@ -30,8 +33,8 @@
             iio-sensor-proxy [linux-any],
             modemmanager [linux-any],
             wpasupplicant [!hurd-any]
-Breaks: geoclue (>= 2.0), geoclue-2-demo (<< 2.4.12-2~)
-Replaces: geoclue (>= 2.0), geoclue-2-demo (<< 2.4.12-2~)
+Breaks: geoclue (>= 2.0)
+Replaces: geoclue (>= 2.0)
 Description: geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
  is to make creating location-aware applications as simple as possible.
@@ -41,8 +44,6 @@
 Package: geoclue-2-demo
 Architecture: any
 Depends: geoclue-2.0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
-Breaks: geoclue-2.0 (<< 2.4.10)
-Replaces: geoclue-2.0 (<< 2.4.10)
 Description: geoinformation service (demonstration programs)
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
  is to make creating location-aware applications as simple as possible.
@@ -64,7 +65,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
