## geoclue-2.0 2.7.1

=== debian/changelog ===
geoclue-2.0 (2.7.1-2) unstable; urgency=medium

  * Team upload
  * Install systemd service files into /usr/lib.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough version of dh_installsystemd.
  * Update lintian override accordingly

 -- Michael Biebl <biebl@debian.org>  Wed, 31 Jan 2024 14:45:04 +0100

geoclue-2.0 (2.7.1-1) unstable; urgency=medium

  * New upstream release
    - Bump libglib2.0-dev BD to >= 2.68.0
    - debian/geoclue-2.0.install: Adjust installation paths of dbus files
  * Update apparmor policy to allow several DBus operations, from Ubuntu
    Thanks to Georgia Garcia (Closes: #1050694)

 -- Laurent Bigonville <bigon@debian.org>  Fri, 22 Sep 2023 13:03:48 +0200
