=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
+               debhelper (>= 13.11.6),
                dh-apparmor,
                dh-exec,
                gobject-introspection (>= 0.9.6),
@@ -11,7 +11,7 @@
                libavahi-client-dev (>= 0.6.10),
                libavahi-glib-dev (>= 0.6.10),
                libgirepository1.0-dev (>= 0.9.6),
-               libglib2.0-dev (>= 2.44.0),
+               libglib2.0-dev (>= 2.68.0),
                libjson-glib-dev (>= 0.14),
                libmm-glib-dev (>= 1.6) [linux-any],
                libnotify-dev,
@@ -65,7 +65,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
