=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 override_dh_auto_configure:
 	dh_auto_configure -- --libexecdir=/usr/libexec \
                              -Ddbus-srv-user=geoclue \
-                             -Dsystemd-system-unit-dir=/lib/systemd/system \
+                             -Dsystemd-system-unit-dir=/usr/lib/systemd/system \
 			     ${BUILD_DOC} \
                              ${MM_NM_FLAGS} \
                              ${MLS_API_KEY}
