## geoclue-2.0 2.7.2

=== meson_options.txt ===
--- 
+++ 
@@ -4,6 +4,9 @@
 option('introspection',
         type: 'boolean', value: true,
         description: 'Enable convenience library introspection generation')
+option('vapi',
+        type: 'boolean', value: true,
+        description: 'Enable convenience library vapi generation (ignored if introspection is disabled)')
 option('gtk-doc',
        type: 'boolean', value: true,
        description: 'Whether to generate the API reference for Geocode-GLib')
@@ -19,6 +22,9 @@
 option('nmea-source',
        type: 'boolean', value: true,
        description: 'Enable network NMEA source (requires Avahi libraries)')
+option('compass',
+       type: 'boolean', value: true,
+       description: 'Enable setting heading from net.hadess.SensorProxy compass')
 option('enable-backend',
        type: 'boolean', value: true,
        description: 'Enable backend (the geoclue service)')
@@ -34,3 +40,9 @@
 option('dbus-srv-user',
        type: 'string', value: 'root',
        description: 'The user (existing) as which the service will run')
+option('default-wifi-url',
+       type: 'string',
+       description: 'Default URL for Ichnaea-compatible WiFi geolocation')
+option('default-wifi-submit-url',
+       type: 'string',
+       description: 'Default URL for Ichnaea-compatible WiFi location submission')
