=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: geoclue-2.0
 Section: utils
 Priority: optional
-Maintainer: Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper-compat (= 12),
                debhelper (>= 13.11.6),
                dh-apparmor,
@@ -11,17 +12,17 @@
                libavahi-client-dev (>= 0.6.10),
                libavahi-glib-dev (>= 0.6.10),
                libgirepository1.0-dev (>= 0.9.6),
-               libglib2.0-dev (>= 2.68.0),
+               libglib2.0-dev (>= 2.74.0),
                libjson-glib-dev (>= 0.14),
-               libmm-glib-dev (>= 1.6) [linux-any],
+               libmm-glib-dev (>= 1.12) [linux-any],
                libnotify-dev,
                libsoup-3.0-dev,
                meson (>= 0.60.0),
-               pkg-config,
+               pkgconf,
                valac
 Build-Depends-Indep: gtk-doc-tools <!nodoc>, libglib2.0-doc <!nodoc>
 Homepage: https://gitlab.freedesktop.org/geoclue/geoclue/wikis/home
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/freedesktop-team/geoclue-2.0.git
 Vcs-Browser: https://salsa.debian.org/freedesktop-team/geoclue-2.0
 Rules-Requires-Root: no
@@ -65,7 +66,7 @@
 Package: libgeoclue-2-0
 Architecture: any
 Section: libs
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}, geoclue-2.0 (= ${binary:Version})
 Multi-Arch: same
 Description: convenience library to interact with geoinformation service
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
@@ -83,6 +84,7 @@
          ${shlibs:Depends}
 Suggests: libgeoclue-doc
 Multi-Arch: same
+Provides: ${gir:Provides}
 Description: convenience library to interact with geoinformation service (devel files)
  GeoClue is a D-Bus geoinformation service. The goal of the Geoclue project
  is to make creating location-aware applications as simple as possible.
