## geoclue-2.0 2.8.0

=== debian/changelog ===
geoclue-2.0 (2.8.0-1) unstable; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * New upstream release
  * Bump debhelper compat to 13
  * Update debian/upstream/metadata
  * Update gir handling (Closes: #1118821)
  * Use sysusers.d instead of adduser
  * Remove obsolete maintscript
  * Remove all patches: applied in new release

  [ Laurent Bigonville ]
  * d/README.Debian: Update the README to explicitly state we are using beaconDB
  * debian/copyright: Update the FSF address
  * debian/control: Bump Standards-Version to 4.7.2 (no further changes)

  [ Alessandro Astone ]
  * Fix AppArmor rules for DBus (LP: #2030951, Closes: #1110134)

  [ Chris Talbot ]
  * debian/rules: Make beacondb.net default for wifi submissions

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Dec 2025 16:51:04 -0500
